package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(temp_buy_free_live_theory_course):
 */
public class TempBuyFreeLiveTheoryCourse {

	/**  */
	private Integer id;

	/**  */
	private Integer userId;

	private String liveId;

	private Integer liveGoodsId;

	/** 老师推荐级别 low 初级 medium 中级 high 高级 */
	private String recommendLevel;

	/**  */
	private java.util.Date createTime;

	/**  */
	private java.util.Date updateTime;

	/** 购买学生姓名 */
	private String studentName;

	public TempBuyFreeLiveTheoryCourse() {
	}

	public TempBuyFreeLiveTheoryCourse(Integer userId,String liveId,Integer liveGoodsId) {
		this.userId = userId;
		this.liveId = liveId;
		this.liveGoodsId = liveGoodsId;
	}

	public String getLiveId() {
		return liveId;
	}

	public void setLiveId(String liveId) {
		this.liveId = liveId;
	}

	public Integer getLiveGoodsId() {
		return liveGoodsId;
	}

	public void setLiveGoodsId(Integer liveGoodsId) {
		this.liveGoodsId = liveGoodsId;
	}

	public void setId(Integer id){
		this.id = id;
	}

	public Integer getId(){
		return this.id;
	}

	public void setUserId(Integer userId){
		this.userId = userId;
	}

	public Integer getUserId(){
		return this.userId;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}

	public java.util.Date getCreateTime(){
		return this.createTime;
	}

	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}

	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public String getRecommendLevel() {
		return recommendLevel;
	}

	public void setRecommendLevel(String recommendLevel) {
		this.recommendLevel = recommendLevel;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
